#ifndef GLWX_OPEN_GL_H
#define GLWX_OPEN_GL_H

#if defined(_WIN32)
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

// Include platform specific OpenGL headers
#if defined(__APPLE__)
#include <OpenGL/gl.h>
#include <OpenGL/glu.h>
#else
#include <GL/gl.h>
#include <GL/glu.h>
#endif

//GL_BGR and GL_BGRA aren't always defined 
#if !defined(GL_BGR)
#define GL_BGR                            0x80E0
#endif

#if !defined(GL_BGRA)
#define GL_BGRA                           0x80E1
#endif

#endif //GLWX_OPEN_GL_H

